<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/basicinfo/Dt_WareAreaInfo.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/basicinfo/Dt_WareAreaInfo.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'wareAreaID',
            footer: "Foots",
            cnName: '库区信息',
            name: 'basicinfo/Dt_WareAreaInfo',
            url: "/Dt_WareAreaInfo/",
            sortName: "WareAreaID"
        });
        const editFormFields = ref({
            "wareAreaName": "",
            "areaID": "",
            "wareAreaType": "",
            "wareAreaCode": ""
        });
        const editFormOptions = ref([
            [
                { "title": "库区名称", "field": "wareAreaName", type: "text" },
                { "title": "库区代码", "field": "wareAreaCode", type: "text" },
                { "title": "库区编号", "field": "wareAreaCode", type: "text" },
                { "title": "库区类型", "field": "wareAreaType", type: "text" },
            ]
        ]);
        const searchFormFields = ref({});
        const searchFormOptions = ref([
            [
                { "title": "库区名称", "field": "wareAreaName", type: "text" },
                { "title": "库区代码", "field": "wareAreaCode", type: "text" },
                { "title": "库区编号", "field": "wareAreaCode", type: "text" },
                { "title": "库区类型", "field": "wareAreaType", type: "text" },
            ]
        ]);
        const columns = ref([{ field: 'wareAreaID', title: '主键', type: 'int', width: 110, hidden: true, readonly: true, require: true, align: 'left' },
        { field: 'areaID', title: '库区ID', type: 'int', width: 110, hidden: true, align: 'left', sort: true, hidden: true },
        { field: 'wareAreaCode', title: '库区编号', type: 'string', width: 110, require: true, align: 'left' },
        { field: 'wareAreaName', title: '库区名称', type: 'string', width: 110, align: 'left' },
        { field: 'wareAreaType', title: '库区类型', type: 'string', width: 110, align: 'left' },
        { field: 'status', title: '库区状态', type: 'int', width: 110, align: 'left', bind: { key: "status", data: [] } },
        { field: 'wareAreaDesc', title: '库区描述', type: 'string', width: 110, align: 'left' },
        { field: 'createID', title: '创建ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'creater', title: '创建人', type: 'string', sort: true, width: 110, align: 'left' },
        { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 150, align: 'left', sort: true },
        { field: 'modifyID', title: '修改人ID', type: 'int', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifier', title: '修改人', type: 'string', sort: true, width: 100, hidden: true, align: 'left' },
        { field: 'modifyDate', title: '修改时间', type: 'datetime', sort: true, width: 150, hidden: true, align: 'left', sort: true },
        { field: 'spare1', title: 'Spare1', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare2', title: 'Spare2', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare3', title: 'Spare3', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare4', title: 'Spare4', type: 'string', sort: true, width: 110, hidden: true, align: 'left' },
        { field: 'spare5', title: 'Spare5', type: 'string', sort: true, width: 110, hidden: true, align: 'left' }]);
        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
